* {
    box-sizing: border-box;
}

body {
    margin: 0;
    background-color: rgba(0, 0, 0, 0.05);
}

.main {
    width: 1200px;
    min-height: 100vh;
    max-width: 100%;
    margin: 10px auto 360px;
    background-color: #fff;
    padding-bottom: 20px;
}

/* Product */
.main__product {
    display: flex;
    padding: 10px;
}

.main__product-img {
    width: 40%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    margin: 0 auto;
}
.main__product-img img{
    width: 100%;
}

.main__product-info {
    width: 60%;
    padding: 10px;

}

/* Column layout */
.column-layout {
    margin-top: 36px;
    padding: 12px 0;
    background-color: #fff;
    display: flex;
}

.column-layout__category {
    width: 20%;
    padding: 0 16px;
}

.column-layout__container {
    width: 80%;
    display: flex;
    flex-wrap: wrap;
}

.column-item {
    width: 25%;
    padding: 0 16px;
}

/* Feature layout */
.feature-layout {
    margin-top: 36px;
    display: flex;
    justify-content: space-around;
}

.feature-item {
    padding: 12px 16px;
    margin-top: 16px;
    flex-basis: 30%;
}

.feature-item:nth-child(1) {
    background-color: rgb(192, 227, 222);
}

.feature-item:nth-child(2) {
    background-color: rgb(227, 200, 192);
}

.feature-item:nth-child(3) {
    background-color: rgb(226, 192, 227);
}

/*mobile and tablet:width < 63.9375em*/
@media only screen and (max-width:63.9375em) {
    .main__product{
        flex-direction: column-reverse;
    }
    .main__product-info{
        width: 100%;
    }
    .main__product-desc{
        display: none;
    }
    .main__product-img {
        width: 85%;
    }    
}
/* Mobile: width < 740px */
@media only screen and (max-width: 46.1875em) {

    .main__product-img {
        width: 95%;
    }
    /*Course*/
    .column-layout__category{
        display: none;
    }
    .column-layout__container{
        width: 100%;
    }
    .column-item{
        width: 100%;
        text-align: center;
    }
    /*Feature layout */
    .feature-layout{
        flex-direction: column;
    }
}

/* Tablet: width >= 740px and width < 1024px */
@media only screen and (min-width: 46.25em) and (max-width: 63.9375em) {
    /*Product*/
      .main__product-img {
          width: 85%;
      }
    /*Course*/
      .column-item{
          width:40% ;
      }
}
